Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate
Class MappingNotFoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hibernate.HibernateException
                      org.hibernate.MappingException
                          org.hibernate.MappingNotFoundException

All Implemented Interfaces:
  Serializable

    public class MappingNotFoundException

extends MappingException

Thrown when a resource for a mapping could not be found.

See Also:
  Serialized Form

Constructor Summary
`MappingNotFoundException(String type, String path)`
`MappingNotFoundException(String customMessage, String type, String path)`
`MappingNotFoundException(String customMessage, String type, String path, Throwable cause)`
`MappingNotFoundException(String type, String path, Throwable cause)`

Method Summary
`String` | `getPath()`
`String` | `getType()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MappingNotFoundException

    public MappingNotFoundException(String customMessage,
                                    String type,
                                    String path,
                                    Throwable cause)

### MappingNotFoundException

    public MappingNotFoundException(String customMessage,
                                    String type,
                                    String path)

### MappingNotFoundException

    public MappingNotFoundException(String type,
                                    String path)

### MappingNotFoundException

    public MappingNotFoundException(String type,
                                    String path,
                                    Throwable cause)

Method Detail

### getType

    public String getType()

### getPath

    public String getPath()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.